/*
 Theme Name:   Innesens - 2023
 Description:  Theme enfant de lfi-2023
 Author:       La Fabrique Info
 Template:     lfi-2023
 Version:      1.0.0
 Text Domain:  inns-2023
*/
@import url("https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap");
.font-bebas {
    font-family: "Bebas Neue", sans-serif;
    line-height: 1;
}
body {
    font-family: "Open Sans", sans-serif;
    line-height: 1.3;
    overflow-anchor: none;
}
mark {
    padding: 0;
}
.text-justify {
    /* text-align: justify; */
}
.cursor-pointer {
    cursor: pointer;
}
.li-dash {
    list-style-type: "- ";
}
.li-arrow {
    list-style-type: "→ ";
}
.flex-basis-auto {
    flex-basis: auto !important;
}
/* .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
    flex-basis: 100% !important;
}
.flex-basis-0 {
    flex-basis: 0% !important;
}
.flex-basis-0 {
    flex-basis: 0% !important;
} */

/* Wordpress - Columns*/
/* .wp-block-columns {
    align-items: normal !important;
    box-sizing: border-box;
    display: flex;
    flex-wrap: wrap !important;
    margin-bottom: 1.75em;
}
.wp-block-column {
    flex-grow: 1;
    min-width: 0;
    overflow-wrap: break-word;
    word-break: break-word;
} */
.wp-block-columns.row {
    flex-wrap: wrap !important;
}
.wp-block-columns.row .wp-block-column {
    flex-grow: 0 !important;
    flex-basis: auto !important;
}
.wp-block-columns.row .wp-block-column.col {
    flex-grow: 1 !important;
    flex-basis: 0% !important;
}
.wp-block-button__link {
    width: 100%;
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
    .wp-block-columns.row .wp-block-column.col-sm {
        flex-grow: 1 !important;
        flex-basis: 0% !important;
    }
}
/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    .wp-block-columns.row .wp-block-column.col-md {
        flex-grow: 1 !important;
        flex-basis: 0% !important;
    }
}
/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    .wp-block-columns.row .wp-block-column.col-lg {
        flex-grow: 1 !important;
        flex-basis: 0% !important;
    }
}
/* X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
    .wp-block-columns.row .wp-block-column.col-xl {
        flex-grow: 1 !important;
        flex-basis: 0% !important;
    }
}
/* XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
    .wp-block-columns.row .wp-block-column.col-xxl {
        flex-grow: 1 !important;
        flex-basis: 0% !important;
    }
}
/* @media (max-width: 781px) {
    .wp-block-columns {
        flex-wrap: nowrap!important;
    }
    .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
        flex-basis: 100% !important;
    }
    .wp-block-columns:not(.is-not-stacked-on-mobile) > .wp-block-column {
        flex-basis: 0;
        flex-grow: 1;
    }
}
@media (min-width: 782px) {
    .wp-block-columns {
        flex-wrap: nowrap !important;
    }
} */

nav.navbar {
    /* padding-bottom: 2rem; */
    /* padding-left: 1.2rem; */
    /* padding-right: 1.2rem; */
    /* margin-bottom: 1rem; */
}
nav .navbar-brand .custom-logo img,
footer .custom-logo img {
    height: 2.3rem;
}
nav .navbar-brand.scrolled .custom-logo img,
footer.scrolled .custom-logo img {
    height: 1.15rem;
}
footer.stick-to-bottom {
    min-height: 0;
}
@media (min-width: 768px) {
    nav.navbar {
        /* padding-bottom: 2rem; */
        /* padding-left: 1.2rem; */
        /* padding-right: 1.2rem; */
        /* margin-bottom: 1rem; */
    }
    nav .navbar-brand .custom-logo img,
    footer .custom-logo img {
        height: 3rem;
    }
    nav .navbar-brand.scrolled .custom-logo img,
    footer.scrolled .custom-logo img {
        height: 1.5rem;
    }
}
@media (min-width: 1200px) {
    nav.navbar {
        padding-bottom: 2rem;
        padding-left: 1.2rem;
        padding-right: 1.2rem;
        /* margin-bottom: 1rem; */
    }
    nav .navbar-brand .custom-logo img,
    footer .custom-logo img {
        height: 6rem;
    }
    nav .navbar-brand.scrolled .custom-logo img,
    footer.scrolled .custom-logo img {
        height: 3rem;
    }
}

/* Section - Content */
.section {
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}
.section.full {
    padding: 0;
}
.section.full .content-container {
    width: 100%;
}
.section .logo-title {
    position: relative;
    line-height: 1;
    font-size: 3.25rem;
    /* margin-left: 4rem; */
}

.title-img {
    height: 3rem;
    width: auto;
}
.title-img img {
    max-height: 100%;
}
@media (min-width: 992px) {
    .title-img {
        height: 5.2rem;
    }
}
.content-container.box {
    background-color: white;
    padding: 1rem;
}
.go-up {
    display: none;
    position: fixed;
    right: 1rem;
    bottom: 1rem;
    background-image: url("assets/img/up.svg");
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
    height: 3rem;
    width: 3rem;
    cursor: pointer;
    z-index: 90;
}
#equipe-new .wp-block-cover .wp-block-cover__inner-container {
    color: black;
}
#equipe .wp-block-cover .wp-block-cover__inner-container {
    color: white;
}
#equipe-new .wp-block-cover img,
#equipe .wp-block-cover img {
    object-fit: contain;
}
#equipe-new .wp-block-columns .wp-block-column .arrow-right,
#equipe .wp-block-columns .wp-block-column .arrow-right,
#equipe-new .wp-block-columns .wp-block-column .arrow-left,
#equipe .wp-block-columns .wp-block-column .arrow-left {
    position: relative;
    /* display: inline-block; */
    margin-bottom: 4rem;
}
/* #equipe-new .wp-block-columns .wp-block-column .arrow-left,
/* #equipe .wp-block-columns .wp-block-column .arrow-left {
    margin-left: auto;
} */
#equipe-new .wp-block-columns .wp-block-column .arrow-right::after,
#equipe .wp-block-columns .wp-block-column .arrow-right::after,
#equipe-new .wp-block-columns .wp-block-column .arrow-left::before,
#equipe .wp-block-columns .wp-block-column .arrow-left::before {
    content: "";
    display: block;
    position: absolute;
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}
/* Arrow Right */
#equipe-new .wp-block-columns .wp-block-column .arrow-right,
#equipe .wp-block-columns .wp-block-column .arrow-right {
    /* margin-left: 4rem; */
    /* transform: rotate(-15deg); */
}
#equipe-new .wp-block-columns .wp-block-column .arrow-right::after,
#equipe .wp-block-columns .wp-block-column .arrow-right::after {
    background-image: url("assets/img/arrow-right.svg");
    height: 3rem;
    width: 4.6rem;
    right: -2.7rem;
    bottom: -3.2rem;
}
#equipe-new .wp-block-columns .wp-block-column .arrow-right::after {
    background-image: url("assets/img/arrow-right-blck.svg");
}
/* Arrow Left */
#equipe-new .wp-block-columns .wp-block-column .arrow-left,
#equipe .wp-block-columns .wp-block-column .arrow-left {
    /* margin-right: 4rem; */
    /* transform: rotate(15deg); */
    margin-bottom: 3.5rem;
}
#equipe-new .wp-block-columns .wp-block-column .arrow-left::before,
#equipe .wp-block-columns .wp-block-column .arrow-left::before {
    background-image: url("assets/img/arrow-left.svg");
    height: 3rem;
    width: 3.6rem;
    left: -2.1rem;
    bottom: -3.3rem;
    margin-left: 0;
}
#equipe-new .wp-block-columns .wp-block-column .arrow-left::before {
    background-image: url("assets/img/arrow-left-blck.svg");
}

/* Ico-* */
.ico {
    position: relative;
}
.ico::after {
    content: "";
    display: block;
    width: 7rem;
    max-width: 40%;
    height: 7rem;
    position: absolute;
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}
.ico-sens::after {
    background-image: url("assets/img/SENS.png");
    top: -3.8rem;
    left: 6rem;
    width: 5rem;
    height: 7.4rem;
}
.ico-bon-sens::after {
    background-image: url("assets/img/BONSENS.png");
    top: -0.6rem;
    left: 10rem;
    width: 10rem;
    height: 3rem;
}
.ico-pedagogie::after {
    background-image: url("assets/img/PEDAGOGIE.png");
    top: -4rem;
    left: 7rem;
    width: 7rem;
    height: 5rem;
}

/* Animation */
.section .title-img.active {
    -webkit-animation: rotate-vert-center 1s linear both;
    animation: rotate-vert-center 1s linear both;
}
@-webkit-keyframes rotate-vert-center {
    0% {
        -webkit-transform: rotateY(0);
        transform: rotateY(0);
        -moz-transform: rotateY(0);
        -ms-transform: rotateY(0);
        -o-transform: rotateY(0);
    }
    100% {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}
@keyframes rotate-vert-center {
    0% {
        -webkit-transform: rotateY(0);
        transform: rotateY(0);
    }
    100% {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}

/* WPCF7 */
.wpcf7 form .wpcf7-response-output {
    display: inline-block;
    margin-left: 0;
    margin-top: 1rem;
}
.wpcf7 form.sent .wpcf7-response-output {
    border-color: #198754; /* Green */
}
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output {
    border-color: #dc3545; /* Red */
}
.wpcf7 form .wpcf7-not-valid-tip {
    color: #dc3545;
    font-size: 0.8rem;
    margin-top: 0.5rem;
}
.wpcf7 form.spam .wpcf7-response-output {
    border-color: #fd7e14; /* Orange */
}
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output {
    border-color: #ffc107; /* Yellow */
}



/* WP Contact Form 7 */
.wpcf7-checkbox .wpcf7-list-item.first {
    margin-left: 0;
}
.wpcf7-checkbox .wpcf7-list-item label span.wpcf7-list-item-label {
    margin-left: 1.4rem;
}
/* The container */
.wpcf7-checkbox .wpcf7-list-item {
    display: block;
    position: relative;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    margin-left: 0;
    margin-bottom: 0.3rem;
}
.wpcf7-checkbox .wpcf7-list-item label {
    cursor: pointer;
}

/* Hide the browser's default checkbox */
.wpcf7-checkbox .wpcf7-list-item label input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

/* Create a custom checkbox */
.wpcf7-checkbox .wpcf7-list-item label .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    margin-top: auto;
    margin-bottom: auto;
    height: 1rem;
    width: 1rem;
    background-color: transparent;
    border: 1px solid #3ab59e;
}

/* On mouse-over, add a grey background color */
/* .wpcf7-checkbox .wpcf7-list-item label:hover input ~ .checkmark {
	background-color: #ccc;
} */

/* When the checkbox is checked, add a blue background */
.wpcf7-checkbox .wpcf7-list-item label input:checked ~ .checkmark {
    background-color: transparent;
}

/* Create the checkmark/indicator (hidden when not checked) */
.wpcf7-checkbox .wpcf7-list-item label .checkmark::after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.wpcf7-checkbox .wpcf7-list-item label input:checked ~ .checkmark::after {
    display: block;
}

/* Style the checkmark/indicator */
.wpcf7-checkbox .wpcf7-list-item label .checkmark::after {
    left: 0.35rem;
    top: 0.05rem;
    width: 5px;
    height: 10px;
    border: solid #3ab59e;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/* CookieYes */
.cky-notice-des a {
    color: #1863dc;
    text-decoration: underline;
}

#wapy-phone {
    position: relative;
}
#wapy-phone figure img {
    height: auto;
    width: 15rem;
}
/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
    #wapy-phone figure img {
        position: absolute;
        width: 16rem;
        right: -1rem;
        top: -2rem;
    }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
    #wapy-phone figure img {
        width: 20rem;
        right: -4rem;
        top: -4rem;
    }
    
}
